#include <iostream>
using namespace std;

int main()
{
    int N,L;
    int niz[N];

    cin >> N >> L;

    for(int i=0; i<N;i++)
    {
        cin >> niz[i];
    }

    int resenje=-1;
    
    for(int i=0; i<N;i++)
    {
        if(niz[i] <= L) resenje = i+1; 
    }
    
    cout << resenje;
    
    return 0;
}